Skip to main content
POST
/
job
/
{jobId}
/
uninstall
Uninstall job
curl --request POST \
  --url https://api.qovery.com/job/{jobId}/uninstall \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api.qovery.com/job/{jobId}/uninstall"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.qovery.com/job/{jobId}/uninstall', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_part_last_deployment": true,
  "status_details": {
    "sub_action": "NONE"
  },
  "deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deployment_requests_count": 123,
  "last_deployment_date": "2023-11-07T05:31:56Z",
  "steps": {
    "total_duration_sec": 123,
    "total_computing_duration_sec": 123,
    "details": [
      {
        "duration_sec": 123
      }
    ]
  },
  "execution_id": "<string>"
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

jobId
string
required

Body

application/json

The body is of type object.

Response

Delete the compute and data of the service, but keep Qovery configuration

id
string<uuid>
required
state
enum<string>
required
Available options:
BUILDING,
BUILD_ERROR,
CANCELED,
CANCELING,
DELETED,
DELETE_ERROR,
DELETE_QUEUED,
DELETING,
DEPLOYED,
DEPLOYING,
DEPLOYMENT_ERROR,
DEPLOYMENT_QUEUED,
EXECUTING,
QUEUED,
READY,
RECAP,
RESTARTED,
RESTARTING,
RESTART_ERROR,
RESTART_QUEUED,
STOPPED,
STOPPING,
STOP_ERROR,
STOP_QUEUED,
UNAVAILABLE,
WAITING_DELETING,
WAITING_RESTARTING,
WAITING_RUNNING,
WAITING_STOPPING
service_deployment_status
enum<string>
required
Available options:
NEVER_DEPLOYED,
OUT_OF_DATE,
UP_TO_DATE
is_part_last_deployment
boolean
required
status_details
object
required
deployment_request_id
string<uuid> | null
required
deployment_requests_count
integer
required
last_deployment_date
string<date-time>
steps
object
execution_id
string